#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>
#include <tkhost.h>

/*
 * Stunrace
 *
 * Sets all ships = kill, breaks alliances, planetary FC=ATT/NUK
 */

int main(int argc,char *argv[])
{
  bool parm_ok;
  SHIPDATA *shipdata;
  PLANETDATA *planetdata;
  int me;
  int n;
  int r;
  XString fc;

  if (argc != 3) {
    fprintf(stderr,"Usage: stunrace <dir> <racenum>\n");
    return 1;
  }

  parm_ok=set_game_dir(argv[1]);
  me=atoi(argv[2]);
  if (me<1 || me>11) parm_ok=false;

  if (!parm_ok) {
    fprintf(stderr,"Couldn't find host data files.\n");
    return 2;
  }

  srandom(time(NULL));

  shipdata=read_all_shipdata();

  if (shipdata) {
    r=0;
    for (n=1;n<501;n++) {
      if (shipdata[n].wRace==me) {
        r++;
        if (r==me) r++;
        if (r<12) {
          fc="ee";
          if (r<10) {
            fc |= r+48;
          } else {
            fc |= r+55;
          }
        } else {
          fc=rcode();
        }
        shipdata[n].sCode=fc;
        shipdata[n].wMission=4;
        write_shipdata(n,&shipdata[n]);
      }
    }
    delete [](shipdata);
    printf("Fixed ship data.\n");
  } else {
    fprintf(stderr,"Couldn't load ship data.\n");
  }

  planetdata=read_all_planetdata();

  if (planetdata) {
    for (n=1;n<501;n++) {
      if (planetdata[n].wOwner==me) {
        fc="NUK";
        if (random() %2 == 0) fc="ATT";
        planetdata[n].sCode=fc;
        write_planetdata(n,&planetdata[n]);
      }
    }
    delete [](planetdata);
    printf("Fixed planet data.\n");
  } else {
    fprintf(stderr,"Couldn't load planet data.\n");
  }

  return 0;
}
